Subject: Need Selective Grass Killer

From: [email-masked] (Kate Howitt)
Date: Tue, 28 Mar 1995 22:24:23 GMT

Last year, someone said there was a product called Ortho Grass Be Gone(sp)
that you could use to kill grass in a perennial bed.  I looked for this 
stuff, and no one around my area (Guelph ON) seems to carry it.  Does anyone
know the active ingredients in this product to see if there is an equivalent
from another company?  Or... does anyone know of a way to kill grass between
irises and groundcovers?

--
Kate Howitt             Information Technology      "She is not dignified,     
Sheridan College        905-845-9430 x2163           she is not undignified;
1430 Trafalgar Rd.      Fax: 905-815-4011            she keeps a parrot."
Oakville, ON L6H 2L1    [email-masked]             -- Mark Twain

---

From: [email-masked]
Date: 29 Mar 95 19:17:57 -0600

> from another company?  Or... does anyone know of a way to kill grass between

Sounds like a chemical I recall looking at about 10 years ago... can't
remember the active ingredient, but the brand name I looked at was Preen,
and it specifically said NOT to use it on iris.

Try calling Ortho?

Personally, I just planted a lot of low-growing perennial Dianthus
around my iris beds.  Seemed to keep the grasses down nicely.  (I HATE
QUACK GRASS!)

Kay Klier  [email-masked]

---

From: [email-masked] (Steven M. Begley)
Date: Thu, 30 Mar 1995 03:01:25 GMT

There is no selective grass killer. Anything that kills grass will kill your 
flowers as well. You can CONTROL grass in the garden by first weeding it out 
and then treating the ground with a pre-emergent herbicide. It will prevent 
new seeds from sprouting, but not even that will stop runners from the lawn. 
Sorry....
Steven

---

From: [email-masked]
Date: 29 Mar 95 19:17:57 -0600

Try calling Ortho?

---

From: [email-masked] (Steven M. Begley)
Date: Thu, 30 Mar 1995 03:01:25 GMT

---

From: [email-masked] (Richard Campbell)
Date: 31 Mar 1995 20:09:00 GMT

In article <[email-masked]>, [email-masked] writes:
|> In article <[email-masked]>, [email-masked] (Steven M. Begley) writes:
|> > There is no selective grass killer. Anything that kills grass will kill your 
|> > flowers as well.
|> 
|>  [snipped]
|> 
|> 
|> Most of us don't have farm field-sized gardens to care for.  For most
|> of us, the old fashioned tools of hoe, weed diggers, mulch, and
|> manipulation of cultural conditions do a very adequate job in weed
|> control.

   So what is your favorite type of weeder?  Anybody?
My fingers are beginning to wear out!

-- 
Rich Campbell
[email-masked]

---

From: [email-masked]
Date: 30 Mar 95 13:53:10 -0600

In article <[email-masked]>, [email-masked] (Steven M. Begley) writes:
> flowers as well.

Not true.  There are many herbicides that are rather specific for just
dicots (the broad-leaf herbicides), others that are pretty specific
for monocots (esp. grasses).  This sort of specificity is the reason
that (if I turn on the TV this time of year) I'm bombarded with
commercials for "XYZ Miracle Herbicide gets your toughest broad-leaved
weeds in corn!" and "QRT Miracle Herbicide gets those tough grasses
in soybeans, including volunteer corn!"

Most of us don't have farm field-sized gardens to care for.  For most
of us, the old fashioned tools of hoe, weed diggers, mulch, and
manipulation of cultural conditions do a very adequate job in weed
control.